Zoes
Mechanical
- Sep 30, 2011
- 46
Hi there,
I was wondering if the action of hitting a menu button, can be identified in code instead of having a commentary?
"// Menu: Insert->Sketch Curve->Circle..."?
public static void Main(string[] args)
{
Session theSession = Session.GetSession();
Part workPart = theSession.Parts.Work;
Part displayPart = theSession.Parts.Display;
[highlight #FCE94F] // ----------------------------------------------
// Menu: Insert->Sketch Curve->Circle...
// ----------------------------------------------[/highlight]
NXOpen.Session.UndoMarkId markId1;
markId1 = theSession.SetUndoMark(NXOpen.Session.MarkVisibility.Invisible, "Profile short list");
NXOpen.Session.UndoMarkId markId2;
markId2 = theSession.SetUndoMark(NXOpen.Session.MarkVisibility.Invisible, "Curve");
Thank you in advance,
Z.
I was wondering if the action of hitting a menu button, can be identified in code instead of having a commentary?
"// Menu: Insert->Sketch Curve->Circle..."?
public static void Main(string[] args)
{
Session theSession = Session.GetSession();
Part workPart = theSession.Parts.Work;
Part displayPart = theSession.Parts.Display;
[highlight #FCE94F] // ----------------------------------------------
// Menu: Insert->Sketch Curve->Circle...
// ----------------------------------------------[/highlight]
NXOpen.Session.UndoMarkId markId1;
markId1 = theSession.SetUndoMark(NXOpen.Session.MarkVisibility.Invisible, "Profile short list");
NXOpen.Session.UndoMarkId markId2;
markId2 = theSession.SetUndoMark(NXOpen.Session.MarkVisibility.Invisible, "Curve");
Thank you in advance,
Z.